<?php
  
/*
-----------
Буферизация
-----------
*/  
 
OB_START(); 

/*
-----------------------------------------------
Принудительное выключение глобальных переменных
-----------------------------------------------
*/ 

INI_SET('register_globals', FALSE);

IF (INI_GET('register_globals')) {
  
  $data = ARRAY('_ENV' => 1, '_GET' => 1, '_POST' => 1, '_COOKIE' => 1, '_FILES' => 1, '_SERVER' => 1, '_REQUEST' => 1, 'GLOBALS' => 1);
  
  FOREACH ($global AS $key => $value) {
    
    IF (!ISSET($data[$key])) {
      
      UNSET($global[$key]);
    
    }
  
  }

}
  
/*
--------------------
Запуск работы сессий
--------------------
*/ 

@SESSION_NAME('SID');
@SESSION_START();
$sessID = ADDSLASHES(SESSION_ID());

IF (!PREG_MATCH('#[A-z0-9]{32}#i', $sessID)) {
  
  $sessID = MD5(MT_RAND(000000, 999999));

}

/*
-------------------------------
Константы и псевдофункции для 
сокращения переменных и функций
-------------------------------
*/

REQUIRE ($_SERVER['DOCUMENT_ROOT'].'/system/connections/redefinition.php');

/*
------------------------------------
Подключение файла конфигурации сайта
------------------------------------
*/

$config = @PARSE_INI_FILE(ROOT."/system/config/global/settings.ini", FALSE);

/*
---------------------
Ошибки интерпретатора
---------------------
*/

//Включение показа ошибок для всех
IF ($config['INTERPRETATOR'] == 1){

  INI_SET('error_reporting', E_ALL);
  INI_SET('display_errors', 1);
  INI_SET('display_startup_errors', 1);
  
}ELSE{
  
  INI_SET('display_errors', 0);
  INI_SET('display_startup_errors', 0);
  ERROR_REPORTING(0);
  
} 

/*
-----------------------------------------
Некоторые параметры для панели управления
-----------------------------------------
*/

//Заголовок главной страницы
$panel_title = CONFIG('TITLE');

//Описание сайта
$panel_description = CONFIG('DESCRIPTION');

//Ключевые слова
$panel_keywords = CONFIG('KEYWORDS');

//Официальный язык сайта
$panel_lang = CONFIG('LANGUAGE');

/*
-------------------------
Подключение к базе данных
-------------------------
*/

//Хост
DEFINE('DB_HOST', CONFIG('DB_HOST'));

//Имя базы
DEFINE('DB_NAME', CONFIG('DB_NAME'));

//Пользователь
DEFINE('DB_USER', CONFIG('DB_USER'));

//Пароль от базы
DEFINE('DB_PASSWORD', CONFIG('DB_PASSWORD')); 


/*
-----------
Инсталлятор
-----------
*/

IF (!ISSET($_SESSION['no_install']) && IS_DIR(ROOT.'/install/')){
  
  IF (PHP_SELF != '/install/index.php'){
    
    HEADER('location: /install/');
    EXIT;
    
  }

}

/*
-----------------------------------
Текущий язык сайта для пользователя
-----------------------------------
*/

REQUIRE (ROOT.'/system/connections/language.php');

?>